## com.google.appengine.api.search
Class RemoveDocumentsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.SearchBaseException
                      com.google.appengine.api.search.RemoveDocumentsException

All Implemented Interfaces:
  java.io.Serializable

    public class RemoveDocumentsException

extends SearchBaseException

Thrown to indicate that a search service failure occurred while deleting documents.

See Also:
  Serialized Form

Constructor Summary
`RemoveDocumentsException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service whilst processing a remove documents operation.
`RemoveDocumentsException(OperationResult operationResult, java.util.List<OperationResult> results)` Constructs an exception when some error occurred in the search service whilst processing a remove documents operation.

Method Summary
`java.util.List<OperationResult>` `getResults()`

Methods inherited from class com.google.appengine.api.search.SearchBaseException
`getOperationResult`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoveDocumentsException

    public RemoveDocumentsException(OperationResult operationResult)

  Constructs an exception when some error occurred in the search service whilst processing a remove documents operation.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure

### RemoveDocumentsException

    public RemoveDocumentsException(OperationResult operationResult,
                                    java.util.List<OperationResult> results)

  Constructs an exception when some error occurred in the search service whilst processing a remove documents operation.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure
    `results` - the list of `OperationResult` where each result is associated with the id of a document that was requested to be removed

Method Detail

### getResults

    public java.util.List<OperationResult> getResults()

  Returns:
    the list of `OperationResult` where each result is associated with the id of a document that was requested to be removed